
registerType('Editor.Inspector', (function () { function SegmentedControl() {} var __super = setSupertypeFromDomain(SegmentedControl, 'SegmentedControl', 'Core.UI');


	

SegmentedControl.prototype.initFromData = function SegmentedControl_initFromData(data) {

		if (!__super.prototype.initFromData.call(this, data, true))
			return;

		this.undefinedValue = data.undefinedValue;
		
		this.applyBindings(true);
		
		return this;
};
	


	

SegmentedControl.prototype.valueShouldChangeForKeyPath = function SegmentedControl_valueShouldChangeForKeyPath(value, keyPath) {
		
		if (keyPath === 'value') {

			if (value === undefined) {
				this.value = undefined;
				this.disabled = true;
			}
			else {
				this.disabled = false;
				if (valuesAreEqual(value)) {
					if (value[0] === undefined || value[0] === '') this.value = this.undefinedValue;
					else this.value = value[0];
				}
				else {
					this.value = '';
				}
			}
			
			return true;
		}
		
		return false;
	};
	



SegmentedControl.prototype.expectedTypeForProperty = function SegmentedControl_expectedTypeForProperty(key) {
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return SegmentedControl; }()));